---

- name: reload samba
  service:
    name: "{{ (samba_role == 'dc' or samba_role == 'rodc') | ternary('samba','smb') }}"
    state: reloaded

- name: reload winbind
  service: name=winbind state=reloaded
  when: samba_role == 'member'

